
Figure - Bug #111521
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【BSP】【EVT】【WIFI】【必现】以太网和WIFI不能同时连接
2022-08-29 18:14 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-29

Priority: Urgent Due date:

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0.0.0.20220826_alpha_private_userdebug

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause: 以太网连接时，WiFi本无法发起请求，修改相关代码

Description

前置条件：

1、DUT各模块功能正常，且处于开机状态

2、以太网盒子已经成功连接到DUT

操作步骤：

1、设置内打开wifi开关后，连接指定的ssid

2、查看页面显示

实际结果：

1、指定的ssid无法成功连接，显示已保存

预期结果：

1、以太网已经连接情况下，wifi也可以同时连接

History

#1 - 2022-08-30 20:26 - SZTS_TEST 邹涛

- File wifi&以太网不能同时连接.zip added

#2 - 2022-09-03 09:45 - CD LC-徐玺栋

- Status changed from New to ASSIGNED

■ Current conclusion

已经有初步的解决方案，但缺少验证环境

■ My analysis

修改NETWORK_SCORE，使得默认路由变为WiFi

■ Next action

编译验证看此是否能解决当前问题。

#3 - 2022-09-14 11:01 - CD TPM-申艳艳

- Category set to LC

- Assignee changed from CD LC 陶洪普 to CD LC-徐玺栋

#4 - 2022-09-14 22:06 - CD LC-徐玺栋
■ Current conclusion

更改了WiFi的默认分值与最大分值，欲使其大于以太网的分值；

■ My analysis

分析此现象应该是由于在安卓打分机制中WiFi分值默认是比以太网低的，所以认为只要修改WiFi的分值大于以太的分值即可共存；

■ Next action

等待测试同学用提供的版本验证看是否达到预期要求。

#5 - 2022-09-21 13:53 - CD LC-徐玺栋

■ Current conclusion

本地修改之后测试是可以实现WiFi和以太网共存的；

■ My analysis

之前修改WiFi的分值相关没有生效，所以又修改了网络构建过程中的一些逻辑判断；

■ Next action

测试同学等待修改合入后进行复测

#6 - 2022-09-21 18:57 - CD LC-徐玺栋

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

■ Current conclusion

修改已经提交到gerrit上，但由于系统崩溃无法进行VB编译；

■ My analysis

应该可以解决此问题；

■ Next action

预计今晚入库请测试同学在9.22的DB上进行复测

gerrit提交地址

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Connectivity/+/149634

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/149636

#7 - 2022-09-22 15:42 - CD LC-徐玺栋

- Resolution changed from -- to FIXED

#8 - 2022-09-24 19:43 - SZTS_TEST 邹涛

0924号release版本验证以太网和wifi可以同时连接

#9 - 2022-09-24 19:43 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#10 - 2022-09-24 19:44 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#11 - 2022-09-27 18:23 - CD LC-徐玺栋

- Root cause set to 以太网连接时，WiFi本无法发起请求，修改相关代码

#12 - 2022-12-22 20:33 - CD FW-王伟

2025-07-04 2/3
https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/149636


Gerrit Merge Information：

ID Project Branch Uploader

149636 general/platform/packages/modules/

Wifi

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tuyu0702@thundersoft.com

LC: WIFI: Make wlan and eth0 coexist- Force hasConnectionRequests() to return true to allow WiFiconnection.- Force "keepConnectedReason =

NetworkScore.KEEP_CONNECTED_FOR_HANDOVER" to keep WiFi connection.TC-RID: 1201-0400228IssueID: TS-R-DF-111521Change-Id:

Ie27aed537531fdb11361b37e22793aa0bc6896b8

Files

logcat.txt 42.6 MB 2022-08-29 SZTS_TEST 邹涛

wifi&以太网不能同时连接.zip 6.28 MB 2022-08-30 SZTS_TEST 邹涛
